Bug 1269247 - xserver-allow-tcp=true doesn't work anymore
xserver-allow-tcp=true doesn't work anymore
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lightdm (Show other bugs)
21
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-06 15:25 EDT by Ronald Hoogenboom
Modified: 2015-10-26 14:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: lightdm-1.10.5-4.fc21.1 lightdm-1.10.5-6.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-16 09:20:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronald Hoogenboom 2015-10-06 15:25:19 EDT
Description of problem:

Since the latest 'yum update', the Xorg x-server does not tolerate the undocumented -listen option anymore (as the opposite of -nolisten). Lightdm puts either -listen tcp or -nolisten tcp on X' command line, depending on the xserver-allow-tcp config item value true or false. Therefore the value true for this item does not work anymore and makes the Xorg terminate immediately with nonzero exit status and the appropriate message that an unsupported command line option was passed. I also posted the bug on lightdm mailing list, but until they fix the bug, I suggest to put a filter for this -listen option in the /usr/bin/X script, like:

filter() {
        local i s=false
        for i
        do
                if $s
                then
                        s=false
                elif [ "$i" = -listen ]
                then
                        s=true
                else
                        echo "$i"
                fi
        done
}

basedir=/usr/libexec
if [ -x "$basedir"/Xorg.wrap ]; then
        exec "$basedir"/Xorg.wrap $(filter "$@")
else
        exec "$basedir"/Xorg.bin $(filter "$@")
fi


Version-Release number of selected component (if applicable):
lightdm-1.10.5-2.fc21.x86_64
xorg-x11-server-Xorg-1.16.3-2.fc21.x86_64


How reproducible:

Steps to Reproduce:
1. set the lightdm config option 'xserver-allow-tcp' to 'true'
2. reboot

Actual results:
The graphical screen won't start.

Expected results:
The graphical screen starts and X-server listens on tcp port 6000.

Additional info:
--
Comment 1 Rex Dieter 2015-10-06 17:15:32 EDT
See bug #12255743 , had to explicitly add a patch to use -listen for f22+, 
http://pkgs.fedoraproject.org/cgit/lightdm.git/tree/lightdm-1.10.5-listen.patch

but seems that's causing problems here.

We can probably just use that patch for f22 and newer only instead.
Comment 2 Rex Dieter 2015-10-06 17:16:47 EDT
make that bug #1255743
Comment 3 Fedora Update System 2015-10-06 19:08:14 EDT
lightdm-1.10.5-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-dccbf33063
Comment 4 Rex Dieter 2015-10-06 19:13:33 EDT
Not sure why bodhi didn't mention the f21 one yet, but here it is,
https://bodhi.fedoraproject.org/updates/lightdm-1.10.5-4.fc21.1
aka
https://bodhi.fedoraproject.org/updates/FEDORA-2015-be4290b1d3
Comment 5 Fedora Update System 2015-10-07 11:23:02 EDT
lightdm-1.10.5-4.fc21.1 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update lightdm'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-be4290b1d3
Comment 6 Fedora Update System 2015-10-07 15:19:51 EDT
lightdm-1.10.5-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update lightdm'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-dccbf33063
Comment 7 Ronald Hoogenboom 2015-10-07 17:04:31 EDT
(In reply to Rex Dieter from comment #4)
> Not sure why bodhi didn't mention the f21 one yet, but here it is,
> https://bodhi.fedoraproject.org/updates/lightdm-1.10.5-4.fc21.1
> aka
> https://bodhi.fedoraproject.org/updates/FEDORA-2015-be4290b1d3

I tried this version of lightdm and it solves the issue satisfactorily.
Comment 8 Fedora Update System 2015-10-16 09:20:55 EDT
lightdm-1.10.5-4.fc21.1 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-10-26 14:55:49 EDT
lightdm-1.10.5-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.